Page MenuHomePhabricator

Template weirdness on pl.wiki
Closed, ResolvedPublic

Description

Author: beau

Description:
We have noticed on pl.wiki weird problem with template Klawiaturka (http://pl.wikipedia.org/wiki/Szablon:Klawiatura).

It shows up only for anonymous users, it can be observed on

There is an issue with image 'File:KB United States.svg', which is not shown on those pages. There is a red warning 'Błąd – grafika jest niepoprawna lub nie istnieje', which informs that file is invalid or does not exist.

Purging the page does not help. Performing a null edit (which does not change the content of article) does not help. Editing the template (should invalidate cached pages) does not help. Only edit changing the article fixes the problem.

Is there a way to find broken pages and drop invalid cache entries automatically? There can be more affected templates.


Version: unspecified
Severity: normal
URL: http://pl.wikipedia.org/wiki/Break_%28klawisz%29?action=purge

Details

Reference
bz28348

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:27 PM
bzimport added projects: MediaWiki-General, Shell.
bzimport set Reference to bz28348.
bzimport created this task.Mar 31 2011, 3:46 PM

seems like something people with shell would be needed for, but I'm open to being proved wrong ;)

demon added a comment.Apr 1 2011, 2:54 AM

Perhaps this was transient? I can't seem to replicate while logged in or out.

aaron added a comment.Apr 1 2011, 7:32 PM

(In reply to comment #2)

Perhaps this was transient? I can't seem to replicate while logged in or out.

I can. http://pl.wikipedia.org/w/index.php?title=Break_%28klawisz%29&stableid=24737756 has a red link logged in or out.

aaron added a comment.Apr 1 2011, 8:13 PM

aaron@fenari:~$ php runQuery.php plwiki
object(stdClass)#21 (4) {

["fi_rev_id"]=>
string(8) "24737756"
["fi_name"]=>
string(20) "KB_United_States.svg"
["fi_img_timestamp"]=>
string(14) "20101227075724"
["fi_img_sha1"]=>
string(31) "s2t6ksa4iljchijevo98mj9pbn418dz"

}

aaron@fenari:~$ php runQuery.php commonswiki
object(stdClass)#21 (2) {

["img_sha1"]=>
string(31) "s2t6ksa4iljchijevo98mj9pbn418dz"
["img_timestamp"]=>
string(14) "20101227075725"

}

Somehow the fi_img_timestamp is too small by 1.

aaron added a comment.Apr 2 2011, 4:52 PM

Should be fixed in r85199.

aaron added a comment.Apr 2 2011, 4:54 PM

(In reply to comment #5)

Should be fixed in r85199.

This is not retroactive though. I'll look into a cleanup script. Actually, re-opening as a reminder for that.

aaron added a comment.Apr 2 2011, 6:00 PM

(In reply to comment #6)

(In reply to comment #5)

Should be fixed in r85199.

This is not retroactive though. I'll look into a cleanup script. Actually,
re-opening as a reminder for that.

Script added in r85202. I can't run it now since findFileFromKey() isn't in 1.17.

aaron added a comment.Apr 3 2011, 12:32 AM

Are there any other known effected files? It should be very unlikely for there to be that many.

Pages can be fixed by de-approving and re-approving again.

Giving this to Aaron so he can run his script.

aaron added a comment.Oct 24 2011, 5:29 PM

(In reply to comment #10)

Giving this to Aaron so he can run his script.

Script is done.